Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.fourthline.cling.model.message.header
Class ContentTypeHeader

    java.lang.Object
      org.fourthline.cling.model.message.header.UpnpHeader<org.seamless.util.MimeType>
          org.fourthline.cling.model.message.header.ContentTypeHeader

    public class ContentTypeHeader

extends UpnpHeader<org.seamless.util.MimeType>

Author:
  Christian Bauer

Nested Class Summary

Nested classes/interfaces inherited from class org.fourthline.cling.model.message.header.UpnpHeader
`UpnpHeader.Type`

Field Summary
`static org.seamless.util.MimeType` | `DEFAULT_CONTENT_TYPE`
`static org.seamless.util.MimeType` | `DEFAULT_CONTENT_TYPE_UTF8`

Constructor Summary
`ContentTypeHeader()`
`ContentTypeHeader(org.seamless.util.MimeType contentType)`
`ContentTypeHeader(String s)`

Method Summary
`String` | `getString()`
`boolean` | `isText()`
`boolean` | `isUDACompliantXML()`
`void` | `setString(String s)`

Methods inherited from class org.fourthline.cling.model.message.header.UpnpHeader
`getValue, newInstance, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_CONTENT_TYPE

    public static final org.seamless.util.MimeType DEFAULT_CONTENT_TYPE

### DEFAULT_CONTENT_TYPE_UTF8

    public static final org.seamless.util.MimeType DEFAULT_CONTENT_TYPE_UTF8

Constructor Detail

### ContentTypeHeader

    public ContentTypeHeader()

### ContentTypeHeader

    public ContentTypeHeader(org.seamless.util.MimeType contentType)

### ContentTypeHeader

    public ContentTypeHeader(String s)
                      throws InvalidHeaderException

Throws:
  `InvalidHeaderException`

Method Detail

### setString

    public void setString(String s)
                   throws InvalidHeaderException

  Specified by:
    `setString` in class `UpnpHeader<org.seamless.util.MimeType>`
  Parameters:
    `s` - This header's value as a string representation.
  Throws:
    `InvalidHeaderException` - If the value is invalid for this UPnP header.

### getString

    public String getString()

  Specified by:
    `getString` in class `UpnpHeader<org.seamless.util.MimeType>`
  Returns:
    A string representing this header's value.

### isUDACompliantXML

    public boolean isUDACompliantXML()

### isText

    public boolean isText()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 4th Line GmbH, Switzerland. All Rights Reserved.